collasped.gp.lm <- function(y, X, coords, tau.sq, sigma.sq, phi, n.samples, n.omp.threads=1){

    n <- nrow(X)
    p <- ncol(X)
    
    storage.mode(y) <- "double"
    storage.mode(X) <- "double"
    storage.mode(n) <- "integer"
    storage.mode(p) <- "integer"
    storage.mode(coords) <- "double"
    storage.mode(tau.sq) <- "double"
    storage.mode(sigma.sq) <- "double"
    storage.mode(phi) <- "double"
    storage.mode(n.samples) <- "integer"
    storage.mode(n.omp.threads) <- "integer"
    
  .Call("collaspedGPLM", y, X, n, p, coords,
                 tau.sq, sigma.sq, phi, 
                 n.samples, n.omp.threads)
    
}


